# masscode_merge

### Utility to merge massCode snippet databases

[massCode](https://masscode.io/), a cross-platform snippet manager, currently doesn't have native support for merging separate snippet databases.  

I needed to merge databases from my Mac and PC into a new unified database.

So, `masscode_merge` was born.

masscode_merge processes both db files, and merges then into a single db file, preserving folder structures, including nested folders, while avoiding duplicates.

It is coded in [BCX](https://bcxbasiccoders.com/), which is a Basic to C/C++ transpiler, and uses the [Parson](https://github.com/kgabis/parson) json library.

It is currently Windows-only, but Linux and macOS versions are being worked on.

### How to use, once compiled

Usage: merge_masscode.exe <file1.db> <file2.db>
